#include "project.h"
#include "stdio.h"
#include "tty_utils.h"

void init_hardware(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */ 
    
    tty_init() ;
    
    PWM_Start() ;
}

void report_period(uint16_t period)
{
    print("Timer Period: ") ;
    snprintf(str, STR_BUF_LEN, "%d us\n\r", period/2) ;
    print(str) ;    
}

int main(void)
{
    uint32_t period = 0 ;
    
    init_hardware() ;
    
    splash("Timer Test") ;
    
    period = PWM_ReadPeriod() ;
    report_period(period) ;

    prompt() ;
    for(;;)
    {
        if (get_line()) {
            sscanf(str, "%d", &period) ;
            PWM_Stop() ;
            PWM_WritePeriod(period) ;
            PWM_WriteCounter(0) ;
            PWM_Enable() ;
            report_period(period) ;
            prompt() ;
        }
    }
}

